# MatRestrict

y = A*x or A'*x

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatRestrict(Mat A,Vec x,Vec y)

Collective on Mat

### Input Parameters

| mat | - the matrix
| x,y | - the vectors

### Notes

This allows one to use either the restriction or interpolation (its transpose) matrix to do the restriction

### See Also

MatMultAdd(), MatMultTransposeAdd(), MatInterpolate()

Level:intermediate
Location: src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/snes/examples/tutorials/ex27.c.html
src/snes/examples/tutorials/ex29.c.html